"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var app_service_1 = require('../app.service');
var PriceChartComponent = (function () {
    function PriceChartComponent(_appService) {
        this._appService = _appService;
        this.stocks = [];
    }
    PriceChartComponent.prototype.ngOnInit = function () {
        var _this = this;
        this._appService.getStocks()
            .subscribe(function (stocks) { return _this.stocks = stocks; }, function (error) { return _this.errorMessage = error; });
        this.desiredHeight = 0.22 * (window.screen.height) + "px";
        this.chartOptions = this.getPriceChartOptions();
    };
    PriceChartComponent.prototype.getPriceChartOptions = function () {
        return {
            axes: this.getPriceChartAxes(),
            series: this.getPriceChartSeries(),
            windowResponse: "deferred",
            horizontalZoomable: true,
            width: "100%",
            height: this.desiredHeight,
            theme: "metro",
            leftMargin: 0,
            rightMargin: 30,
            windowRectMinWidth: 0.05,
            syncChannel: "channel1",
            synchronizeVertically: false,
            syncrhonizeHorizontally: false
        };
    };
    PriceChartComponent.prototype.getPriceChartAxes = function () {
        return [
            {
                name: "xAxis",
                type: "categoryX",
                label: "Date"
            },
            {
                name: "yAxis",
                type: "numericY",
                labelLocation: "outsideRight",
                majorStroke: "rgba(153,153,153,0.1)",
                labelExtent: 40
            }
        ];
    };
    PriceChartComponent.prototype.getPriceChartSeries = function () {
        return [
            {
                name: "stockSeries",
                type: "splineArea",
                title: "Price Data",
                isHighlightingEnabled: true,
                isTransitionInEnabled: true,
                xAxis: "xAxis",
                yAxis: "yAxis",
                valueMemberPath: "High",
                showTooltip: true,
                Outline: "#00AADE"
            }
        ];
    };
    PriceChartComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'pricechart',
            templateUrl: 'pricechart.component.html',
        }), 
        __metadata('design:paramtypes', [app_service_1.AppService])
    ], PriceChartComponent);
    return PriceChartComponent;
}());
exports.PriceChartComponent = PriceChartComponent;
//# sourceMappingURL=pricechart.component.js.map